/*
 * Copyright (c) 1993, 1994 Rick Sladkey <jrs@world.std.com>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by Paul Kranenburg,
 *      Branko Lankester and Rick Sladkey.
 * 4. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *	syscallent.h,v 2.23 1994/03/21 05:45:58 jrs Exp
 */

	{ -1,	sys_syscall,		"syscall"	},	/* 0 */
	{ -1,	sys_exit,		"_exit"		},	/* 1 */
	{ -1,	sys_fork,		"fork"		},	/* 2 */
	{ -1,	sys_read,		"read"		},	/* 3 */
	{ -1,	sys_write,		"write"		},	/* 4 */
	{ -1,	sys_open,		"open"		},	/* 5 */
	{ -1,	sys_close,		"close"		},	/* 6 */
	{ -1,	sys_wait,		"wait"		},	/* 7 */
	{ -1,	sys_creat,		"creat"		},	/* 8 */
	{ -1,	sys_link,		"link"		},	/* 9 */
	{ -1,	sys_unlink,		"unlink"	},	/* 10 */
	{ -1,	sys_exec,		"exec"		},	/* 11 */
	{ -1,	sys_chdir,		"chdir"		},	/* 12 */
	{ -1,	sys_time,		"time"		},	/* 13 */
	{ -1,	sys_mknod,		"mknod"		},	/* 14 */
	{ -1,	sys_chmod,		"chmod"		},	/* 15 */
	{ -1,	sys_chown,		"chown"		},	/* 16 */
	{ -1,	sys_brk,		"brk"		},	/* 17 */
	{ -1,	sys_stat,		"stat"		},	/* 18 */
	{ -1,	sys_lseek,		"lseek"	},	/* 19 */
	{ -1,	sys_getpid,		"getpid"	},	/* 20 */
	{ -1,	sys_mount,		"mount"		},	/* 21 */
	{ -1,	sys_umount,		"umount"	},	/* 22 */
	{ -1,	sys_setuid,		"setuid"	},	/* 23 */
	{ -1,	sys_getuid,		"getuid"	},	/* 24 */
	{ -1,	sys_stime,		"stime"		},	/* 25 */
	{ -1,	sys_ptrace,		"ptrace"	},	/* 26 */
	{ -1,	sys_alarm,		"alarm"		},	/* 27 */
	{ -1,	sys_fstat,		"fstat"		},	/* 28 */
	{ -1,	sys_pause,		"pause"		},	/* 29 */
	{ -1,	sys_utime,		"utime"		},	/* 30 */
	{ -1,	sys_stty,		"stty"		},	/* 31 */
	{ -1,	sys_gtty,		"gtty"		},	/* 32 */
	{ -1,	sys_access,		"access"	},	/* 33 */
	{ -1,	sys_nice,		"nice"		},	/* 34 */
	{ -1,	sys_statfs,		"statfs"	},	/* 35 */
	{ -1,	sys_sync,		"sync"		},	/* 36 */
	{ -1,	sys_kill,		"kill"		},	/* 37 */
	{ -1,	sys_fstatfs,		"fstatfs"	},	/* 38 */
	{ -1,	sys_pgrpsys,		"pgrpsys"	},	/* 39 */
	{ -1,	sys_xenix,		"xenix"		},	/* 40 */
	{ -1,	sys_dup,		"dup"		},	/* 41 */
	{ -1,	sys_pipe,		"pipe"		},	/* 42 */
	{ -1,	sys_times,		"times"		},	/* 43 */
	{ -1,	sys_profil,		"profil"	},	/* 44 */
	{ -1,	sys_plock,		"plock"		},	/* 45 */
	{ -1,	sys_setgid,		"setgid"	},	/* 46 */
	{ -1,	sys_getgid,		"getgid"	},	/* 47 */
	{ -1,	sys_sigcall,		"sigcall"	},	/* 48 */
	{ -1,	sys_msgsys,		"msgsys"	},	/* 49 */
#ifdef __sun__
	{ -1,	sys_syssun,		"syssun"	},	/* 50 */
#else /* !__sun__ */
#ifdef __i386__
	{ -1,	sys_sysi86,		"sysi86"	},	/* 50 */
#else /* !__i386__ */
	{ -1,	sys_sysmachine,		"sysmachine"	},	/* 50 */
#endif /* !__i386__ */
#endif /* !__sun__ */
	{ -1,	sys_acct,		"acct"		},	/* 51 */
	{ -1,	sys_shmsys,		"shmsys"	},	/* 52 */
	{ -1,	sys_semsys,		"semsys"	},	/* 53 */
	{ -1,	sys_ioctl,		"ioctl"		},	/* 54 */
	{ -1,	sys_uadmin,		"uadmin"	},	/* 55 */
	{ -1,	printargs,		"SYS_56"	},	/* 56 */
	{ -1,	sys_utssys,		"utssys"	},	/* 57 */
	{ -1,	sys_fdsync,		"fdsync"	},	/* 58 */
	{ -1,	sys_execve,		"execve"	},	/* 59 */
	{ -1,	sys_umask,		"umask"		},	/* 60 */
	{ -1,	sys_chroot,		"chroot"	},	/* 61 */
	{ -1,	sys_fcntl,		"fcntl"		},	/* 62 */
	{ -1,	sys_ulimit,		"ulimit"	},	/* 63 */
	{ -1,	printargs,		"SYS_64"	},	/* 64 */
	{ -1,	printargs,		"SYS_65"	},	/* 65 */
	{ -1,	printargs,		"SYS_66"	},	/* 66 */
	{ -1,	printargs,		"SYS_67"	},	/* 67 */
	{ -1,	printargs,		"SYS_68"	},	/* 68 */
	{ -1,	printargs,		"SYS_69"	},	/* 69 */
	{ -1,	printargs,		"SYS_70"	},	/* 70 */
	{ -1,	printargs,		"SYS_71"	},	/* 71 */
	{ -1,	printargs,		"SYS_72"	},	/* 72 */
	{ -1,	printargs,		"SYS_73"	},	/* 73 */
	{ -1,	printargs,		"SYS_74"	},	/* 74 */
	{ -1,	printargs,		"SYS_75"	},	/* 75 */
	{ -1,	printargs,		"SYS_76"	},	/* 76 */
	{ -1,	printargs,		"SYS_77"	},	/* 77 */
	{ -1,	printargs,		"SYS_78"	},	/* 78 */
	{ -1,	sys_rmdir,		"rmdir"		},	/* 79 */
	{ -1,	sys_mkdir,		"mkdir"		},	/* 80 */
	{ -1,	sys_getdents,		"getdents"	},	/* 81 */
	{ -1,	printargs,		"SYS_82"	},	/* 82 */
	{ -1,	printargs,		"SYS_83"	},	/* 83 */
	{ -1,	sys_sysfs,		"sysfs"		},	/* 84 */
	{ -1,	sys_getmsg,		"getmsg"	},	/* 85 */
	{ -1,	sys_putmsg,		"putmsg"	},	/* 86 */
	{ -1,	sys_poll,		"poll"		},	/* 87 */
	{ -1,	sys_lstat,		"lstat"		},	/* 88 */
	{ -1,	sys_symlink,		"symlink"	},	/* 89 */
	{ -1,	sys_readlink,		"readlink"	},	/* 90 */
	{ -1,	sys_setgroups,		"setgroups"	},	/* 91 */
	{ -1,	sys_getgroups,		"getgroups"	},	/* 92 */
	{ -1,	sys_fchmod,		"fchmod"	},	/* 93 */
	{ -1,	sys_fchown,		"fchown"	},	/* 94 */
	{ -1,	sys_sigprocmask,	"sigprocmask"	},	/* 95 */
	{ -1,	sys_sigsuspend,		"sigsuspend"	},	/* 96 */
	{ -1,	sys_sigaltstack,	"sigaltstack"	},	/* 97 */
	{ -1,	sys_sigaction,		"sigaction"	},	/* 98 */
	{ -1,	sys_spcall,		"spcall"	},	/* 99 */
	{ -1,	sys_context,		"context"	},	/* 100 */
	{ -1,	sys_evsys,		"evsys"		},	/* 101 */
	{ -1,	sys_evtrapret,		"evtrapret"	},	/* 102 */
	{ -1,	sys_statvfs,		"statvfs"	},	/* 103 */
	{ -1,	sys_fstatvfs,		"fstatvfs"	},	/* 104 */
	{ -1,	printargs,		"SYS_105"	},	/* 105 */
	{ -1,	sys_nfssys,		"nfssys"	},	/* 106 */
	{ -1,	sys_waitid,		"waitid"	},	/* 107 */
	{ -1,	sys_sigsendsys,		"sigsendsys"	},	/* 108 */
	{ -1,	sys_hrtsys,		"hrtsys"	},	/* 109 */
	{ -1,	sys_acancel,		"acancel"	},	/* 110 */
	{ -1,	sys_async,		"async"		},	/* 111 */
	{ -1,	sys_priocntlsys,	"priocntlsys"	},	/* 112 */
	{ -1,	sys_pathconf,		"pathconf"	},	/* 113 */
	{ -1,	sys_mincore,		"mincore"	},	/* 114 */
	{ -1,	sys_mmap,		"mmap"		},	/* 115 */
	{ -1,	sys_mprotect,		"mprotect"	},	/* 116 */
	{ -1,	sys_munmap,		"munmap"	},	/* 117 */
	{ -1,	sys_fpathconf,		"fpathconf"	},	/* 118 */
	{ -1,	sys_vfork,		"vfork"		},	/* 119 */
	{ -1,	sys_fchdir,		"fchdir"	},	/* 120 */
	{ -1,	sys_readv,		"readv"		},	/* 121 */
	{ -1,	sys_writev,		"writev"	},	/* 122 */
	{ -1,	sys_xstat,		"xstat"		},	/* 123 */
	{ -1,	sys_lxstat,		"lxstat"	},	/* 124 */
	{ -1,	sys_fxstat,		"fxstat"	},	/* 125 */
	{ -1,	sys_xmknod,		"xmknod"	},	/* 126 */
	{ -1,	sys_clocal,		"clocal"	},	/* 127 */
	{ -1,	sys_setrlimit,		"setrlimit"	},	/* 128 */
	{ -1,	sys_getrlimit,		"getrlimit"	},	/* 129 */
	{ -1,	sys_lchown,		"lchown"	},	/* 130 */
	{ -1,	sys_memcntl,		"memcntl"	},	/* 131 */
	{ -1,	sys_getpmsg,		"getpmsg"	},	/* 132 */
	{ -1,	sys_putpmsg,		"putpmsg"	},	/* 133 */
	{ -1,	sys_rename,		"rename"	},	/* 134 */
	{ -1,	sys_uname,		"uname"		},	/* 135 */
	{ -1,	sys_setegid,		"setegid"	},	/* 136 */
	{ -1,	sys_sysconfig,		"sysconfig"	},	/* 137 */
	{ -1,	sys_adjtime,		"adjtime"	},	/* 138 */
	{ -1,	sys_sysinfo,		"sysinfo"	},	/* 139 */
	{ -1,	printargs,		"SYS_140"	},	/* 140 */
	{ -1,	sys_seteuid,		"seteuid"	},	/* 141 */
	{ -1,	sys_vtrace,		"vtrace"	},	/* 142 */
	{ -1,	sys_fork1,		"fork1"		},	/* 143 */
	{ -1,	sys_sigtimedwait,	"sigtimedwait"	},	/* 144 */
	{ -1,	sys_lwp_info,		"lwp_info"	},	/* 145 */
	{ -1,	sys_yield,		"yield"		},	/* 146 */
	{ -1,	sys_lwp_sema_wait,	"lwp_sema_wait"	},	/* 147 */
	{ -1,	sys_lwp_sema_post,	"lwp_sema_post"	},	/* 148 */
	{ -1,	printargs,		"SYS_149"	},	/* 149 */
	{ -1,	printargs,		"SYS_150"	},	/* 150 */
	{ -1,	printargs,		"SYS_151"	},	/* 151 */
	{ -1,	sys_modctl,		"modctl"	},	/* 152 */
	{ -1,	sys_fchroot,		"fchroot"	},	/* 153 */
	{ -1,	sys_utimes,		"utimes"	},	/* 154 */
	{ -1,	sys_vhangup,		"vhangup"	},	/* 155 */
	{ -1,	sys_gettimeofday,	"gettimeofday"	},	/* 156 */
	{ -1,	sys_getitimer,		"getitimer"	},	/* 157 */
	{ -1,	sys_setitimer,		"setitimer"	},	/* 158 */
	{ -1,	sys_lwp_create,		"lwp_create"	},	/* 159 */
	{ -1,	sys_lwp_exit,		"lwp_exit"	},	/* 160 */
	{ -1,	sys_lwp_suspend,	"lwp_suspend"	},	/* 161 */
	{ -1,	sys_lwp_continue,	"lwp_continue"	},	/* 162 */
	{ -1,	sys_lwp_kill,		"lwp_kill"	},	/* 163 */
	{ -1,	sys_lwp_self,		"lwp_self"	},	/* 164 */
	{ -1,	sys_lwp_setprivate,	"lwp_setprivate"},	/* 165 */
	{ -1,	sys_lwp_getprivate,	"lwp_getprivate"},	/* 166 */
	{ -1,	sys_lwp_wait,		"lwp_wait"	},	/* 167 */
	{ -1,	sys_lwp_mutex_unlock,	"lwp_mutex_unlock"},	/* 168 */
	{ -1,	sys_lwp_mutex_lock,	"lwp_mutex_lock"},	/* 169 */
	{ -1,	sys_lwp_cond_wait,	"lwp_cond_wait"},	/* 170 */
	{ -1,	sys_lwp_cond_signal,	"lwp_cond_signal"},	/* 171 */
	{ -1,	sys_lwp_cond_broadcast,	"lwp_cond_broadcast"},	/* 172 */
	{ -1,	sys_pread,		"pread"		},	/* 173 */
	{ -1,	sys_pwrite,		"pwrite"	},	/* 174 */
	{ -1,	sys_llseek,		"llseek"	},	/* 175 */
	{ -1,	sys_inst_sync,		"inst_sync"	},	/* 176 */
	{ -1,	printargs,		"SYS_177"	},	/* 177 */
	{ -1,	printargs,		"SYS_178"	},	/* 178 */
	{ -1,	printargs,		"SYS_179"	},	/* 179 */
	{ -1,	printargs,		"SYS_180"	},	/* 180 */
	{ -1,	printargs,		"SYS_181"	},	/* 181 */
	{ -1,	printargs,		"SYS_182"	},	/* 182 */
	{ -1,	printargs,		"SYS_183"	},	/* 183 */
	{ -1,	printargs,		"SYS_184"	},	/* 184 */
	{ -1,	printargs,		"SYS_185"	},	/* 185 */
	{ -1,	sys_auditsys,		"auditsys"	},	/* 186 */
	{ -1,	sys_processor_bind,	"processor_bind"},	/* 187 */
	{ -1,	sys_processor_info,	"processor_info"},	/* 188 */
	{ -1,	sys_p_online,		"p_online"	},	/* 189 */
	{ -1,	sys_sigqueue,		"sigqueue"	},	/* 190 */
	{ -1,	sys_clock_gettime,	"clock_gettime"	},	/* 191 */
	{ -1,	sys_clock_settime,	"clock_settime"	},	/* 192 */
	{ -1,	sys_clock_getres,	"clock_getres"	},	/* 193 */
	{ -1,	sys_timer_create,	"timer_create"	},	/* 194 */
	{ -1,	sys_timer_delete,	"timer_delete"	},	/* 195 */
	{ -1,	sys_timer_settime,	"timer_settime"	},	/* 196 */
	{ -1,	sys_timer_gettime,	"timer_gettime"	},	/* 197 */
	{ -1,	sys_timer_getoverrun,	"timer_getoverrun"},	/* 198 */
	{ -1,	sys_nanosleep,		"nanosleep"	},	/* 199 */

	{ -1,	printargs,		"SYS_200"	},	/* 200 */
	{ -1,	printargs,		"SYS_201"	},	/* 201 */
	{ -1,	printargs,		"SYS_202"	},	/* 202 */
	{ -1,	printargs,		"SYS_203"	},	/* 203 */
	{ -1,	printargs,		"SYS_204"	},	/* 204 */
	{ -1,	printargs,		"SYS_205"	},	/* 205 */
	{ -1,	printargs,		"SYS_206"	},	/* 206 */
	{ -1,	printargs,		"SYS_207"	},	/* 207 */
	{ -1,	printargs,		"SYS_208"	},	/* 208 */
	{ -1,	printargs,		"SYS_209"	},	/* 209 */
	{ -1,	printargs,		"SYS_210"	},	/* 210 */
	{ -1,	printargs,		"SYS_211"	},	/* 211 */
	{ -1,	printargs,		"SYS_212"	},	/* 212 */
	{ -1,	printargs,		"SYS_213"	},	/* 213 */
	{ -1,	printargs,		"SYS_214"	},	/* 214 */
	{ -1,	printargs,		"SYS_215"	},	/* 215 */
	{ -1,	printargs,		"SYS_216"	},	/* 216 */
	{ -1,	printargs,		"SYS_217"	},	/* 217 */
	{ -1,	printargs,		"SYS_218"	},	/* 218 */
	{ -1,	printargs,		"SYS_219"	},	/* 219 */
	{ -1,	printargs,		"SYS_220"	},	/* 220 */
	{ -1,	printargs,		"SYS_221"	},	/* 221 */
	{ -1,	printargs,		"SYS_222"	},	/* 222 */
	{ -1,	printargs,		"SYS_223"	},	/* 223 */
	{ -1,	printargs,		"SYS_224"	},	/* 224 */
	{ -1,	printargs,		"SYS_225"	},	/* 225 */
	{ -1,	printargs,		"SYS_226"	},	/* 226 */
	{ -1,	printargs,		"SYS_227"	},	/* 227 */
	{ -1,	printargs,		"SYS_228"	},	/* 228 */
	{ -1,	printargs,		"SYS_229"	},	/* 229 */
	{ -1,	printargs,		"SYS_230"	},	/* 230 */
	{ -1,	printargs,		"SYS_231"	},	/* 231 */
	{ -1,	printargs,		"SYS_232"	},	/* 232 */
	{ -1,	printargs,		"SYS_233"	},	/* 233 */
	{ -1,	printargs,		"SYS_234"	},	/* 234 */
	{ -1,	printargs,		"SYS_235"	},	/* 235 */
	{ -1,	printargs,		"SYS_236"	},	/* 236 */
	{ -1,	printargs,		"SYS_237"	},	/* 237 */
	{ -1,	printargs,		"SYS_238"	},	/* 238 */
	{ -1,	printargs,		"SYS_239"	},	/* 239 */
	{ -1,	printargs,		"SYS_240"	},	/* 240 */
	{ -1,	printargs,		"SYS_241"	},	/* 241 */
	{ -1,	printargs,		"SYS_242"	},	/* 242 */
	{ -1,	printargs,		"SYS_243"	},	/* 243 */
	{ -1,	printargs,		"SYS_244"	},	/* 244 */
	{ -1,	printargs,		"SYS_245"	},	/* 245 */
	{ -1,	printargs,		"SYS_246"	},	/* 246 */
	{ -1,	printargs,		"SYS_247"	},	/* 247 */
	{ -1,	printargs,		"SYS_248"	},	/* 248 */
	{ -1,	printargs,		"SYS_249"	},	/* 249 */
	{ -1,	printargs,		"SYS_250"	},	/* 250 */
	{ -1,	printargs,		"SYS_251"	},	/* 251 */
	{ -1,	printargs,		"SYS_252"	},	/* 252 */
	{ -1,	printargs,		"SYS_253"	},	/* 253 */
	{ -1,	printargs,		"SYS_254"	},	/* 254 */
	{ -1,	printargs,		"SYS_255"	},	/* 255 */
	{ -1,	printargs,		"SYS_256"	},	/* 256 */
	{ -1,	printargs,		"SYS_257"	},	/* 257 */
	{ -1,	printargs,		"SYS_258"	},	/* 258 */
	{ -1,	printargs,		"SYS_259"	},	/* 259 */
	{ -1,	printargs,		"SYS_260"	},	/* 260 */
	{ -1,	printargs,		"SYS_261"	},	/* 261 */
	{ -1,	printargs,		"SYS_262"	},	/* 262 */
	{ -1,	printargs,		"SYS_263"	},	/* 263 */
	{ -1,	printargs,		"SYS_264"	},	/* 264 */
	{ -1,	printargs,		"SYS_265"	},	/* 265 */
	{ -1,	printargs,		"SYS_266"	},	/* 266 */
	{ -1,	printargs,		"SYS_267"	},	/* 267 */
	{ -1,	printargs,		"SYS_268"	},	/* 268 */
	{ -1,	printargs,		"SYS_269"	},	/* 269 */
	{ -1,	printargs,		"SYS_270"	},	/* 270 */
	{ -1,	printargs,		"SYS_271"	},	/* 271 */
	{ -1,	printargs,		"SYS_272"	},	/* 272 */
	{ -1,	printargs,		"SYS_273"	},	/* 273 */
	{ -1,	printargs,		"SYS_274"	},	/* 274 */
	{ -1,	printargs,		"SYS_275"	},	/* 275 */
	{ -1,	printargs,		"SYS_276"	},	/* 276 */
	{ -1,	printargs,		"SYS_277"	},	/* 277 */
	{ -1,	printargs,		"SYS_278"	},	/* 278 */
	{ -1,	printargs,		"SYS_279"	},	/* 279 */
	{ -1,	printargs,		"SYS_280"	},	/* 280 */
	{ -1,	printargs,		"SYS_281"	},	/* 281 */
	{ -1,	printargs,		"SYS_282"	},	/* 282 */
	{ -1,	printargs,		"SYS_283"	},	/* 283 */
	{ -1,	printargs,		"SYS_284"	},	/* 284 */
	{ -1,	printargs,		"SYS_285"	},	/* 285 */
	{ -1,	printargs,		"SYS_286"	},	/* 286 */
	{ -1,	printargs,		"SYS_287"	},	/* 287 */
	{ -1,	printargs,		"SYS_288"	},	/* 288 */
	{ -1,	printargs,		"SYS_289"	},	/* 289 */
	{ -1,	printargs,		"SYS_290"	},	/* 290 */
	{ -1,	printargs,		"SYS_291"	},	/* 291 */
	{ -1,	printargs,		"SYS_292"	},	/* 292 */
	{ -1,	printargs,		"SYS_293"	},	/* 293 */
	{ -1,	printargs,		"SYS_294"	},	/* 294 */
	{ -1,	printargs,		"SYS_295"	},	/* 295 */
	{ -1,	printargs,		"SYS_296"	},	/* 296 */
	{ -1,	printargs,		"SYS_297"	},	/* 297 */
	{ -1,	printargs,		"SYS_298"	},	/* 298 */
	{ -1,	printargs,		"SYS_299"	},	/* 299 */

	{ -1,	sys_getpgrp,		"getpgrp"	},	/* 300 */
	{ -1,	sys_setpgrp,		"setpgrp"	},	/* 301 */
	{ -1,	sys_getsid,		"getsid"	},	/* 302 */
	{ -1,	sys_setsid,		"setsid"	},	/* 303 */
	{ -1,	sys_getpgid,		"getpgid"	},	/* 304 */
	{ -1,	sys_setpgid,		"setpgid"	},	/* 305 */
	{ -1,	printargs,		"SYS_306"	},	/* 306 */
	{ -1,	printargs,		"SYS_307"	},	/* 307 */
	{ -1,	printargs,		"SYS_308"	},	/* 308 */
	{ -1,	printargs,		"SYS_309"	},	/* 309 */

	{ -1,	sys_signal,		"signal"	},	/* 310 */
	{ -1,	sys_sigset,		"sigset"	},	/* 311 */
	{ -1,	sys_sighold,		"sighold"	},	/* 312 */
	{ -1,	sys_sigrelse,		"sigrelse"	},	/* 313 */
	{ -1,	sys_sigignore,		"sigignore"	},	/* 314 */
	{ -1,	sys_sigpause,		"sigpause"	},	/* 315 */
	{ -1,	printargs,		"SYS_316"	},	/* 316 */
	{ -1,	printargs,		"SYS_317"	},	/* 317 */
	{ -1,	printargs,		"SYS_318"	},	/* 318 */
	{ -1,	printargs,		"SYS_319"	},	/* 319 */

	{ -1,	sys_msgget,		"msgget"	},	/* 320 */
	{ -1,	sys_msgctl,		"msgctl"	},	/* 321 */
	{ -1,	sys_msgrcv,		"msgrcv"	},	/* 322 */
	{ -1,	sys_msgsnd,		"msgsnd"	},	/* 323 */
	{ -1,	printargs,		"SYS_324"	},	/* 324 */
	{ -1,	printargs,		"SYS_325"	},	/* 325 */
	{ -1,	printargs,		"SYS_326"	},	/* 326 */
	{ -1,	printargs,		"SYS_327"	},	/* 327 */
	{ -1,	printargs,		"SYS_328"	},	/* 328 */
	{ -1,	printargs,		"SYS_329"	},	/* 329 */

	{ -1,	sys_shmat,		"shmat"		},	/* 330 */
	{ -1,	sys_shmctl,		"shmctl"	},	/* 331 */
	{ -1,	sys_shmdt,		"shmdt"		},	/* 332 */
	{ -1,	sys_shmget,		"shmget"	},	/* 333 */
	{ -1,	printargs,		"SYS_334"	},	/* 334 */
	{ -1,	printargs,		"SYS_335"	},	/* 335 */
	{ -1,	printargs,		"SYS_336"	},	/* 336 */
	{ -1,	printargs,		"SYS_337"	},	/* 337 */
	{ -1,	printargs,		"SYS_338"	},	/* 338 */
	{ -1,	printargs,		"SYS_339"	},	/* 339 */

	{ -1,	sys_semctl,		"semctl"	},	/* 340 */
	{ -1,	sys_semget,		"semget"	},	/* 341 */
	{ -1,	sys_semop,		"semop"		},	/* 342 */
	{ -1,	printargs,		"SYS_343"	},	/* 343 */
	{ -1,	printargs,		"SYS_344"	},	/* 344 */
	{ -1,	printargs,		"SYS_345"	},	/* 345 */
	{ -1,	printargs,		"SYS_346"	},	/* 346 */
	{ -1,	printargs,		"SYS_347"	},	/* 347 */
	{ -1,	printargs,		"SYS_348"	},	/* 348 */
	{ -1,	printargs,		"SYS_349"	},	/* 349 */

	{ -1,	sys_olduname,		"olduname"	},	/* 350 */
	{ -1,	printargs,		"utssys1"	},	/* 351 */
	{ -1,	sys_ustat,		"ustat"		},	/* 352 */
	{ -1,	sys_fusers,		"fusers"	},	/* 353 */
	{ -1,	printargs,		"SYS_354"	},	/* 354 */
	{ -1,	printargs,		"SYS_355"	},	/* 355 */
	{ -1,	printargs,		"SYS_356"	},	/* 356 */
	{ -1,	printargs,		"SYS_357"	},	/* 357 */
	{ -1,	printargs,		"SYS_358"	},	/* 358 */
	{ -1,	printargs,		"SYS_359"	},	/* 359 */

	{ -1,	printargs,		"sysfs0"	},	/* 360 */
	{ -1,	sys_sysfs1,		"sysfs1"	},	/* 361 */
	{ -1,	sys_sysfs2,		"sysfs2"	},	/* 362 */
	{ -1,	sys_sysfs3,		"sysfs3"	},	/* 363 */
	{ -1,	printargs,		"SYS_364"	},	/* 364 */
	{ -1,	printargs,		"SYS_365"	},	/* 365 */
	{ -1,	printargs,		"SYS_366"	},	/* 366 */
	{ -1,	printargs,		"SYS_367"	},	/* 367 */
	{ -1,	printargs,		"SYS_368"	},	/* 368 */
	{ -1,	printargs,		"SYS_369"	},	/* 369 */

	{ -1,	printargs,		"spcall0"	},	/* 370 */
	{ -1,	sys_sigpending,		"sigpending"	},	/* 371 */
	{ -1,	sys_sigfillset,		"sigfillset"	},	/* 372 */
	{ -1,	printargs,		"SYS_373"	},	/* 373 */
	{ -1,	printargs,		"SYS_374"	},	/* 374 */
	{ -1,	printargs,		"SYS_375"	},	/* 375 */
	{ -1,	printargs,		"SYS_376"	},	/* 376 */
	{ -1,	printargs,		"SYS_377"	},	/* 377 */
	{ -1,	printargs,		"SYS_378"	},	/* 378 */
	{ -1,	printargs,		"SYS_379"	},	/* 379 */

	{ -1,	sys_getcontext,		"getcontext"	},	/* 380 */
	{ -1,	sys_setcontext,		"setcontext"	},	/* 381 */
	{ -1,	printargs,		"SYS_382"	},	/* 382 */
	{ -1,	printargs,		"SYS_383"	},	/* 383 */
	{ -1,	printargs,		"SYS_384"	},	/* 384 */
	{ -1,	printargs,		"SYS_385"	},	/* 385 */
	{ -1,	printargs,		"SYS_386"	},	/* 386 */
	{ -1,	printargs,		"SYS_387"	},	/* 387 */
	{ -1,	printargs,		"SYS_388"	},	/* 388 */
	{ -1,	printargs,		"SYS_389"	},	/* 389 */

	{ -1,	printargs,		"SYS_390"	},	/* 390 */
	{ -1,	printargs,		"SYS_391"	},	/* 391 */
	{ -1,	printargs,		"SYS_392"	},	/* 392 */
	{ -1,	printargs,		"SYS_393"	},	/* 393 */
	{ -1,	printargs,		"SYS_394"	},	/* 394 */
	{ -1,	printargs,		"SYS_395"	},	/* 395 */
	{ -1,	printargs,		"SYS_396"	},	/* 396 */
	{ -1,	printargs,		"SYS_397"	},	/* 397 */
	{ -1,	printargs,		"SYS_398"	},	/* 398 */
	{ -1,	printargs,		"SYS_399"	},	/* 399 */
